#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	GSSAPI
Summary:	GSSAPI - Perl extension providing access to the GSSAPIv2 library
Summary(pl.UTF-8):	GSSAPI - rozszerzenie Perla dające dostęp do biblioteki GSSAPIv2
Name:		perl-GSSAPI
Version:	0.28
Release:	11
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/A/AG/AGROLMS/GSSAPI-%{version}.tar.gz
# Source0-md5:	65f00a0749212af064289c8a05e59b3f
URL:		http://search.cpan.org/dist/GSSAPI/
BuildRequires:	heimdal-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module gives access to the routines of the GSSAPI library, as
described in RFC 2743 and RFC 2744 and implemented by the Kerberos-1.2
distribution from MIT.

%description -l pl.UTF-8
Ten moduł daje dostęp do funkcji bibliotecznych GSSAPI określonych
przez RFC 2743 i RFC 2744 i zaimplementowanych przez MIT w dystrybucji
Kerberos-1.2.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/GSSAPI.pm
%dir %{perl_vendorarch}/GSSAPI
%{perl_vendorarch}/GSSAPI/*.pm
%dir %{perl_vendorarch}/GSSAPI/OID
%{perl_vendorarch}/GSSAPI/OID/Set.pm
%dir %{perl_vendorarch}/auto/GSSAPI
%attr(755,root,root) %{perl_vendorarch}/auto/GSSAPI/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-GSSAPI.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 38f9fdb
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 77dda78
- release 10 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 0fcade3
- x32 rebuild
- release 9 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 37dbfba
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cf263e9
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a012d8a
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> eb16fb5
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Sat Feb 18 2012 lisu <lisu@pld-linux.org> 4cf9f50
- rel 5

* Tue Aug 02 2011 Jan Rękorajski <baggins@pld-linux.org> 2d5b216
- release 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 20ee27f
- release 3

* Mon Oct 04 2010 Jan Rękorajski <baggins@pld-linux.org> 73a8c10
- rel 2

* Sun Jun 06 2010 radek <radek@pld-linux.org> 6b7ec69
- version 0.28

* Mon Apr 12 2010 Jan Rękorajski <baggins@pld-linux.org> 8653be9
- rel 8

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> 4554f26
- BR: which

* Thu Mar 04 2010 hawk <hawk@pld-linux.org> 3469dae
- release 7

* Mon Dec 14 2009 Jan Rękorajski <baggins@pld-linux.org> f5ecf6c
- rel 6

* Wed Dec 09 2009 Jan Rękorajski <baggins@pld-linux.org> 57ce45a
- rel 5

* Sun Jul 05 2009 Jan Rękorajski <baggins@pld-linux.org> 24ece8e
- removed test patch
- rel 4

* Sun Jul 05 2009 Jan Rękorajski <baggins@pld-linux.org> 9a61b43
- can't recreate builder problems anywhere else

* Sun Jul 05 2009 Jan Rękorajski <baggins@pld-linux.org> 7fa93ad
- quick test

